package com.lz.modules.flow.model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
* <p>
* </p>*等级表
* @author quyixiao
* @since 2020-10-15
*/

@Data
@ApiModel(value = "等级Dto")
public class ResultGradeDto {
    //
    @ApiModelProperty(value = "", name = "id")
    private Long id;
    //等级名称，展示名称
    @ApiModelProperty(value = "等级名称，展示名称", name = "name")
    private String name;
    //最小分值>=
    @ApiModelProperty(value = "最小分值>=", name = "minScore")
    private BigDecimal minScore;
    //最大分值<
    @ApiModelProperty(value = "最大分值<", name = "maxScore")
    private BigDecimal maxScore;
    //固定、默认分值，当选择改级时所要打的分数
    @ApiModelProperty(value = "固定、默认分值，当选择改级时所要打的分数", name = "score")
    private BigDecimal score;
    //组id，用于区分一组
    @ApiModelProperty(value = "组id，用于区分一组", name = "groupId")
    private Long groupId;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }



    /**
     * 等级名称，展示名称 
     * @return
     */
    public String getName() {
        return name;
    }
    /**
     * 等级名称，展示名称 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 最小分值>= 
     * @return
     */
    public BigDecimal getMinScore() {
        return minScore;
    }
    /**
     * 最小分值>= 
     * @param minScore
     */
    public void setMinScore(BigDecimal minScore) {
        this.minScore = minScore;
    }

    /**
     * 最大分值< 
     * @return
     */
    public BigDecimal getMaxScore() {
        return maxScore;
    }
    /**
     * 最大分值< 
     * @param maxScore
     */
    public void setMaxScore(BigDecimal maxScore) {
        this.maxScore = maxScore;
    }

    /**
     * 固定、默认分值，当选择改级时所要打的分数 
     * @return
     */
    public BigDecimal getScore() {
        return score;
    }
    /**
     * 固定、默认分值，当选择改级时所要打的分数 
     * @param score
     */
    public void setScore(BigDecimal score) {
        this.score = score;
    }

    /**
     * 组id，用于区分一组 
     * @return
     */
    public Long getGroupId() {
        return groupId;
    }
    /**
     * 组id，用于区分一组 
     * @param groupId
     */
    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    @Override
    public String toString() {
        return "ResultGrade{" +
                ",id=" + id +
                ",name=" + name +
                ",minScore=" + minScore +
                ",maxScore=" + maxScore +
                ",score=" + score +
                ",groupId=" + groupId +
                "}";
    }
}